Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040619
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Delivery Modesmajoralways2019-04-15 17:482019-05-23 18:51
ReporterguillermogilView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionc1e965434226
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040619: [UI] Year is not shown depending on Resolution

DescriptionYear is not shown depending on Resolution on the Delivery Mode Date Picker
Tested on a Huawei P Smart +

See attached image: https://drive.google.com/file/d/1nx6S-T8oi2w3kej8D6KkHMzsaC85MiY1/view?usp=sharing [^]
Steps To ReproduceLogin on livebuilds with modules
Add an Avalanche Transceiver
Open Stock Screen
Select Pickup in store with date
TagsNo tags attached.
Attached Filesjpg file icon Selection_474.jpg [^] (37,972 bytes) 2019-05-06 12:13

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111478)
hgbot (developer)
2019-05-03 15:54

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 61c35352f056bf361b4fc62987bd1b38403afd02
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu May 02 15:25:57 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/61c35352f056bf361b4fc62987bd1b38403afd02 [^]

Fixed issue 40619: [UI] Year is not shown depending on Resolution

- The width of the columns was modified to show the Date component completely in
all resolutions.

---
M web/org.openbravo.mobile.core/assets/css/ob-standard.css
---
(0111496)
guilleaer (developer)
2019-05-06 12:13
edited on: 2019-05-06 12:13

Solution is not correct

General css class is being changed to resolve an specific problem.Other components can be affected.

New css class should be created to overwrite this behavior for this specific case.

Create new classes in css and use them in JS

.properties-label-thin {
  width: 32%;
}

.properties-component-wide {
  width: 78%;
}

With current solution, it is not shown fine in our min resolution
393x700 (check attached image)

using 32% and 78% works fine.

(0111544)
hgbot (developer)
2019-05-07 14:39

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3b27ce59f00b729ee9e692c338d572abe8b544bb
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon May 06 15:09:56 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3b27ce59f00b729ee9e692c338d572abe8b544bb [^]

Fixed issue 40619: [UI] Year is not shown depending on Resolution

- Removed in line width style

---
M web/org.openbravo.retail.posterminal/js/components/modalreceiptlineproperties.js
---
(0111546)
hgbot (developer)
2019-05-07 14:43

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 83b10355267e6acda77be03b8b5196bca058829e
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon May 06 15:07:56 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/83b10355267e6acda77be03b8b5196bca058829e [^]

Fixed issue 40619: [UI] Year is not shown depending on Resolution

- Changed width of the label and component columns

---
M web/org.openbravo.mobile.core/assets/css/ob-standard.css
---
(0111711)
ucarrion (developer)
2019-05-16 10:38

Hi,

it is being displayed fine now if you login webpos from a browser. Otherwise, login from an app (where the screen has not toolbar) it is wrongly displayed again.

It can be reproduced by adding the web to a Kiosk mode
(0111770)
hgbot (developer)
2019-05-17 11:26

Repository: erp/pmods/org.openbravo.retail.deliverymodes
Changeset: c1e9654342267a75f4438aa9e6eb463d1ab79da9
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Fri May 17 10:27:27 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.deliverymodes/rev/c1e9654342267a75f4438aa9e6eb463d1ab79da9 [^]

Fixed issue 40619: [UI] Year is not shown depending on Resolution

To avoid year component from datepicker to go to next line, we should transform
the container into a flexbox, and let the CSS set the position and space
between components.

This inline style should be change in the future to a CSS class.

---
M web/org.openbravo.retail.deliverymodes/js/receiptMultiLineEdit.js
---
(0112073)
ucarrion (developer)
2019-05-22 13:57

Still reproduced for 'Home Delivery' delivery mode
(0112082)
hgbot (developer)
2019-05-23 10:25

Repository: erp/pmods/org.openbravo.retail.deliverymodes
Changeset: 643fd2b4176ef8bd5f33526145a7091f44f93dc8
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu May 23 10:25:19 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.deliverymodes/rev/643fd2b4176ef8bd5f33526145a7091f44f93dc8 [^]

Related issue 40619: [UI] Year is not shown depending on Resolution

To avoid year component from datepicker to go to next line, we should transform
the container into a flexbox, and let the CSS set the position and space
between components.

This commit affects to delivery modes in receipt properties popup.

This inline style should be change in the future to a CSS class.

---
M web/org.openbravo.retail.deliverymodes/js/receiptEdit.js
---
(0112083)
jorge-garcia (developer)
2019-05-23 10:28

The edit delivery modes problem was already fixed by this commit[1]

[1] https://code.openbravo.com/erp/pmods/org.openbravo.retail.deliverymodes/rev/c1e9654342267a75f4438aa9e6eb463d1ab79da9 [^]

If reproducible, it could be that the transplant of this commit was wrong.

We detect the same problem in receipt properties popup. This commit[2] should fix it

[2] https://code.openbravo.com/erp/pmods/org.openbravo.retail.deliverymodes/rev/643fd2b4176ef8bd5f33526145a7091f44f93dc8 [^]

- Issue History
Date Modified Username Field Change
2019-04-15 17:48 guillermogil New Issue
2019-04-15 17:48 guillermogil Assigned To => Retail
2019-04-15 17:48 guillermogil Triggers an Emergency Pack => No
2019-04-15 17:51 guillermogil Summary [UX] Year is not shown depending on Resolution => [UI] Year is not shown depending on Resolution
2019-04-15 17:51 guillermogil Description Updated View Revisions
2019-04-22 21:51 rqueralta Assigned To Retail => rqueralta
2019-04-22 21:53 rqueralta Status new => scheduled
2019-05-03 15:54 hgbot Checkin
2019-05-03 15:54 hgbot Note Added: 0111478
2019-05-03 15:54 hgbot Status scheduled => resolved
2019-05-03 15:54 hgbot Resolution open => fixed
2019-05-03 15:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/61c35352f056bf361b4fc62987bd1b38403afd02 [^]
2019-05-06 12:13 guilleaer Note Added: 0111496
2019-05-06 12:13 guilleaer Status resolved => new
2019-05-06 12:13 guilleaer Resolution fixed => open
2019-05-06 12:13 guilleaer File Added: Selection_474.jpg
2019-05-06 12:13 guilleaer Note Edited: 0111496 View Revisions
2019-05-07 08:35 guilleaer Status new => scheduled
2019-05-07 14:39 hgbot Checkin
2019-05-07 14:39 hgbot Note Added: 0111544
2019-05-07 14:39 hgbot Status scheduled => resolved
2019-05-07 14:39 hgbot Resolution open => fixed
2019-05-07 14:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/61c35352f056bf361b4fc62987bd1b38403afd02 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3b27ce59f00b729ee9e692c338d572abe8b544bb [^]
2019-05-07 14:43 hgbot Checkin
2019-05-07 14:43 hgbot Note Added: 0111546
2019-05-07 14:43 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3b27ce59f00b729ee9e692c338d572abe8b544bb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/83b10355267e6acda77be03b8b5196bca058829e [^]
2019-05-07 16:08 guilleaer Review Assigned To => guilleaer
2019-05-07 16:08 guilleaer Status resolved => closed
2019-05-07 16:08 guilleaer Fixed in Version => RR19Q3
2019-05-16 10:38 ucarrion Note Added: 0111711
2019-05-16 10:38 ucarrion Status closed => new
2019-05-16 10:38 ucarrion Resolution fixed => open
2019-05-16 10:38 ucarrion Fixed in Version RR19Q3 =>
2019-05-17 11:26 hgbot Checkin
2019-05-17 11:26 hgbot Note Added: 0111770
2019-05-17 11:26 hgbot Status new => resolved
2019-05-17 11:26 hgbot Resolution open => fixed
2019-05-17 11:26 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/83b10355267e6acda77be03b8b5196bca058829e [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.deliverymodes/rev/c1e9654342267a75f4438aa9e6eb463d1ab79da9 [^]
2019-05-17 13:59 marvintm Review Assigned To guilleaer => marvintm
2019-05-17 13:59 marvintm Status resolved => closed
2019-05-17 13:59 marvintm Fixed in Version => RR19Q3
2019-05-22 13:57 ucarrion Note Added: 0112073
2019-05-22 13:57 ucarrion Status closed => new
2019-05-22 13:57 ucarrion Resolution fixed => open
2019-05-22 13:57 ucarrion Fixed in Version RR19Q3 =>
2019-05-23 10:25 hgbot Checkin
2019-05-23 10:25 hgbot Note Added: 0112082
2019-05-23 10:26 jorge-garcia Status new => scheduled
2019-05-23 10:26 jorge-garcia Assigned To rqueralta => jorge-garcia
2019-05-23 10:28 jorge-garcia Note Added: 0112083
2019-05-23 10:28 jorge-garcia Status scheduled => resolved
2019-05-23 10:28 jorge-garcia Fixed in Version => RR19Q3
2019-05-23 10:28 jorge-garcia Resolution open => fixed
2019-05-23 18:51 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker